import { html as c } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as f } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var u = Object.defineProperty, g = Object.getOwnPropertyDescriptor, l = (p, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, s) : t, i = p.length - 1, n; i >= 0; i--)
    (n = p[i]) && (e = (r ? n(t, s, e) : n(e)) || e);
  return r && e && u(t, s, e), e;
};
let o = class extends f {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--routePinLarge", this.class = "c-pieIcon c-pieIcon--routePinLarge", this.name = "IconRoutePinLarge";
  }
  render() {
    return c`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--routePinLarge"><path d="M26.631 6.375A8.848 8.848 0 0 0 14.12 18.888l6.256 6.22 6.256-6.255a8.864 8.864 0 0 0 0-12.478ZM25.398 17.62l-5.023 5.022-5.023-5.022a7.097 7.097 0 1 1 10.046 0Zm-5.023-8.741a3.85 3.85 0 1 0 0 7.7 3.85 3.85 0 0 0 0-7.7Zm0 5.94a2.1 2.1 0 1 1 0-4.198 2.1 2.1 0 0 1 0 4.199ZM8.895 26.5l13.23.061v1.75l-13.239-.06a2.73 2.73 0 0 1-2.38-1.4 2.537 2.537 0 0 1 .079-2.626l2.196-3.5a.796.796 0 0 0 0-.831.954.954 0 0 0-.875-.481H2v-1.75h5.941a2.73 2.73 0 0 1 2.398 1.39 2.52 2.52 0 0 1-.079 2.626l-2.188 3.5a.77.77 0 0 0 0 .822.962.962 0 0 0 .823.5Z"></path></svg>`;
  }
};
l([
  a({ type: String, reflect: !0 })
], o.prototype, "size", 2);
l([
  a({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = l([
  h("icon-route-pin-large")
], o);
export {
  o as IconRoutePinLarge
};
